package serverTester;

import javapns.back.PushNotificationManager;
import javapns.back.SSLConnectionHelper;
import javapns.data.Device;
import javapns.data.PayLoad;

public class MainSend {
	public static void main(String[] args) throws Exception {
		try {
			  String deviceToken = "e775b5892f3334427c14def8aa4d8189a4ec1c795020072f4baa7ee92e50b1db";
			  PayLoad payLoad = new PayLoad();
			  payLoad.addAlert("我的push测试");
			  payLoad.addBadge(4);
			  payLoad.addSound("default");			
			  PushNotificationManager pushManager = PushNotificationManager.getInstance();
			  pushManager.addDevice("iPhone", deviceToken);
			  String host= "gateway.sandbox.push.apple.com";
			  int port = 2195;
			  String certificatePath= "/Users/jcjc/Desktop/push_p.p12";
			  String certificatePassword= "sunlg";
			  pushManager.initializeConnection(host,port, certificatePath,certificatePassword, SSLConnectionHelper.KEYSTORE_TYPE_PKCS12);
			  Device client = pushManager.getDevice("iPhone");
			  pushManager.sendNotification(client, payLoad);
			  pushManager.stopConnection();
			  pushManager.removeDevice("iPhone");
			 }
			 catch (Exception e) {
			  e.printStackTrace();
			 }

	}
}
